Page MenuHomePhabricator

Make it possible to create a collection from Special:Gather
Closed, ResolvedPublic3 Estimated Story Points

Description

When I go to Special:Gather and see my collections and have JS enabled there is a button to create a new colleciton.

Events should be tagged with source : 'special-gather' rather than 'unknown' or 'onboarding'

The mock

  • Contrary to the coloured buttons - Done should be green not blue and should say 'save'
  • No arrow in next button (@mysed if you want to change them everywhere please do say in a separate card but it shouldn't be done as part of this card)
  • Clicking next saves the collection - Moiz is this correct?

Event Timeline

Jdlrobson created this task.Apr 6 2015, 8:13 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Gather.
Jdlrobson moved this task to Bug backlog on the Gather board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 8:13 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.

Something we want to work on for #gather_sprint_f ? If so can you flesh out and get mocks?

Jdlrobson edited a custom field.Apr 9 2015, 10:44 PM
Jdlrobson edited a custom field.Apr 11 2015, 12:34 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Bug backlog to This Sprint on the Gather board.
Jdlrobson reassigned this task from JKatzWMF to MSyed.Apr 16 2015, 6:18 PM

@MSyed lets talk through this when you get back

@MSyed maybe its just a + icon with "create colelcton" and when you click on it, it opens up a modified version of the edit overlay

@JKatzWMF @Jdlrobson A mock of what this flow could look like :

Jdlrobson removed MSyed as the assignee of this task.Apr 27 2015, 5:21 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Apr 27 2015, 5:23 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.

Change 207002 had a related patch set uploaded (by Robmoen):
WIP: Create collection button on Special:Gather

https://gerrit.wikimedia.org/r/207002

Jdlrobson moved this task from This Sprint to In sprint on the Gather board.Apr 30 2015, 5:35 PM
This comment was removed by rmoen.

@JKatzWMF Since we are reusing the edit dialog for this, instead of 'edit-collection' it should be 'new-collection' in addition to the source being 'special-gather' correct?

Change 207002 merged by jenkins-bot:
Create collection button on Special:Gather

https://gerrit.wikimedia.org/r/207002

@Jdlrobson, I don't see this on wmflabs..can you see by visiting your collections?

Merged the blocking bug, should work now.

JKatzWMF closed this task as Resolved.May 11 2015, 7:11 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Greatest Hits board.